# -*- coding: cp1252 -*-
# Programm_zu_Python-08-Einfaches-wxFrame-Beispiel_3.py
# Einbau von TextCtrl
import wx

#---------------------------------------------------------------------------
class TestPanel(wx.Panel):
    def __init__(self, parent):
        wx.Panel.__init__(self, parent, -1,
                         style=wx.NO_FULL_REPAINT_ON_RESIZE)
        
        self.parent = parent

        label1 = wx.StaticText(self, -1, "Eingabefeld")
        textfeld1 = wx.TextCtrl(self, -1, "Anfangsinhalt", size=(125, -1))
        label1.SetPosition((15, 55))
        textfeld1.SetPosition((105, 55))

        button = wx.Button(self, 1003, "Beenden")
        button.SetPosition((15, 15))

        self.Bind(wx.EVT_BUTTON, self.OnCloseMe, button)
        
    def OnCloseMe(self, event):
        self.parent.Close(True)
        
#---------------------------------------------------------------------------
class MeinFenster(wx.Frame):
    def __init__(
        self, parent, ID, title, pos=wx.DefaultPosition,
        size=wx.DefaultSize, style=wx.DEFAULT_FRAME_STYLE
        ):
        wx.Frame.__init__(self, parent, ID, title, pos, size, style)
        # nderung:
        panel = TestPanel(self)

        self.Bind(wx.EVT_CLOSE, self.OnCloseWindow)
        
    def OnCloseWindow(self, event):
        self.Destroy()
        
# ===== Application-Klasse =================================================
class MeineAnwendung(wx.App):
    def OnInit(self):
        frame = MeinFenster(None, -1, "Mein Fenster", size=(350, 200),style = wx.DEFAULT_FRAME_STYLE)
        self.SetTopWindow(frame)
        frame.Show(True)
        return True

# ===== Application-Objekt erzeugen ========================================
app = MeineAnwendung(redirect=False)
app.MainLoop()
